Package org.apache.tools.ant.taskdefs

# Class MacroInstance.Element

java.lang.Object
org.apache.tools.ant.taskdefs.MacroInstance.Element

All Implemented Interfaces:
  `TaskContainer`

Enclosing class:
  `MacroInstance`

public static class MacroInstance.Element extends Object implements TaskContainer
Embedded element in macro instance

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Element()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTask(Task nestedTask)`
  Add an unknown element (to be snipped into the macroDef instance)
  `List<Task>`
  `getUnknownElements()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Element

    public Element()

- ## Method Details

  - ### addTask

    public void addTask(Task nestedTask)
    Add an unknown element (to be snipped into the macroDef instance)
    Specified by:
      `addTask` in interface `TaskContainer`
    Parameters:
      `nestedTask` - an unknown element

  - ### getUnknownElements

    public List<Task> getUnknownElements()
    Returns:
      the list of unknown elements